package com.chinaitop.depot.system.service;

import java.util.HashMap;
import java.util.List;

import com.chinaitop.depot.system.model.SystemLog;
import com.chinaitop.depot.system.model.SystemLogExample;
import com.chinaitop.depot.system.model.SystemLogThree;
import com.chinaitop.depot.system.model.SystemLogTwo;
import com.chinaitop.depot.system.model.UserOperationlog;

public interface UserOperationlogService {
	
	/**
     * 查询日志信息
     * @param map
     */
    List<UserOperationlog> queryAll(HashMap<Object, Object> map);
    
    /**
     * 操作记录插入
     * @param UserOperationlog userOperationlog对象
     */
    void AddLogMsg(UserOperationlog userOperationlog);
    
    /**
     * 插入systemlogThree访问日志表
     * @param systemLog SystemLog对象
     */
    void AddSystemLog(SystemLogThree systemLog);

    /**
     * 查询systemlog表日志
     * 
     * @param example
     * @return
     */
	List<SystemLog> findSystemLogCondition(SystemLogExample example);
}
