package com.chinaitop.depot.system.service.impl;

import java.util.HashMap;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.system.mapper.SystemLogMapper;
import com.chinaitop.depot.system.mapper.SystemLogThreeMapper;
import com.chinaitop.depot.system.mapper.UserOperationlogMapper;
import com.chinaitop.depot.system.model.SystemLog;
import com.chinaitop.depot.system.model.SystemLogExample;
import com.chinaitop.depot.system.model.SystemLogThree;
import com.chinaitop.depot.system.model.UserOperationlog;
import com.chinaitop.depot.system.service.UserOperationlogService;

/**
 * @auther hf
 * @createtime 2018/11/29
 */
@Service
public class UserOperationlogServiceImpl implements UserOperationlogService {

    @Resource
    private UserOperationlogMapper userOperationlogMapper;
    
    @Resource
    private SystemLogMapper systemLogMapper;

    @Resource
    private SystemLogThreeMapper systemLogThreeMapper;

	@Override
	public List<UserOperationlog> queryAll(HashMap<Object, Object> map) {
		return userOperationlogMapper.queryAll(map);
	}
	
	@Override
	public void AddLogMsg(UserOperationlog userOperationlog) {
		userOperationlogMapper.insertSelective(userOperationlog);
	}

	@Override
	public void AddSystemLog(SystemLogThree systemLog) {
		systemLogThreeMapper.insertSelective(systemLog);
	}

	@Override
	public List<SystemLog> findSystemLogCondition(SystemLogExample example) {
		return systemLogMapper.queryAllLog(example);
	}

}
